Subject: bug#20717: attribution of gitmerge.el merged entries in generated ChangeLog

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Jun 2015 09:52:53 -0400

> For commits on "mainline", you can use "git log --first-parent" to
> show only mainline commits, but this will not help you in the case in
> point.

Not only that: it will not always show you what you wanted to see, since
it's much too easy to make a commit where the first parent is not the
previous revision on the trunk but the previous revision in your own
local branch instead (and much too hard to avoid this situation).

        Stefan